import React from 'react';
import type { EngineInterface, Placement } from '@aomao/engine';
import { DropdownListItem } from './list';
import './index.css';
export declare type DropdownProps = {
    name: string;
    items: Array<DropdownListItem>;
    values?: string | Array<string>;
    engine?: EngineInterface;
    placement?: Placement;
    icon?: React.ReactNode;
    content?: React.ReactNode | (() => React.ReactNode);
    title?: string;
    disabled?: boolean;
    single?: boolean;
    className?: string;
    direction?: 'vertical' | 'horizontal';
    onSelect?: (event: React.MouseEvent, key: string) => void | boolean;
    hasArrow?: boolean;
    hasDot?: boolean;
    renderContent?: (item: DropdownListItem) => React.ReactNode;
};
declare const Dropdown: React.FC<DropdownProps>;
export default Dropdown;
